description: Coercion rules for Aircraft Configuration dataset
version: 1.0.0
rules:
  registration: coerce_to_string
  ac_operator: coerce_to_string
  ac_owner: coerce_to_string
  ac_subtype: coerce_to_string
  ac_state: coerce_to_string
  std_version: coerce_to_string
  ap_restriction: coerce_to_string
  ac_owner_name: coerce_to_string
  ac_subtype_name: coerce_to_string
  ac_category: coerce_to_string
  fuel_measure_unit: coerce_to_string
  ils_equipment: coerce_to_string
  autoland: coerce_to_string
  valid_since: coerce_to_datetime
  valid_until: coerce_to_datetime
  last_update: coerce_to_nullable_datetime
  ac_logical_no: coerce_to_integer
  dry_operating_wgt: coerce_to_integer
  max_takeoff_wgt: coerce_to_integer
  cargo_capacity: coerce_to_integer
  fuel_capacity: coerce_to_integer
  avg_fuel_consump: coerce_to_integer
  ac_index: coerce_to_integer
  crewsize_cockpit: coerce_to_integer
  crewsize_cabin: coerce_to_integer
  record_id: coerce_to_integer
  remark: coerce_to_nullable_string
  ac_callsign: coerce_to_nullable_string
  radio: coerce_to_nullable_string
  phone: coerce_to_nullable_string
  special_equipment: coerce_to_nullable_string
  acars: coerce_to_nullable_string
  alt_reg: coerce_to_nullable_string
  last_update_user_id: coerce_to_nullable_string
  std_version_alt_1: coerce_to_nullable_string
  std_version_alt_2: coerce_to_nullable_string
  std_version_alt_3: coerce_to_nullable_string
  std_version_alt_4: coerce_to_nullable_string
  homebase: coerce_to_nullable_string
  noise: coerce_to_nullable_integer
  aircraft_owner: coerce_to_nullable_string
  aircraft_subtype: coerce_to_nullable_string
  fleet_print_code: coerce_to_nullable_string
  rotational_flag: coerce_to_nullable_string
  standard_configuration: coerce_to_nullable_string
  payload: coerce_to_nullable_float
  mtom: coerce_to_nullable_float
  max_range: coerce_to_nullable_float
  noise_category: coerce_to_nullable_string
  average_speed: coerce_to_nullable_float
  aircraft_group: coerce_to_nullable_string
  icao_code: coerce_to_nullable_string
  name: coerce_to_nullable_string
  body_type: coerce_to_nullable_string
  category: coerce_to_nullable_string

